Skip to main content
GET
List leads (single team)

Authorizations

Authorization
string
header
required

API key in the format avoca_<64 hex characters>

Path Parameters

teamId
integer
required

The team ID

Query Parameters

start_date
string<date-time>

Inclusive lower bound on created_at (>=)

end_date
string<date-time>

Exclusive upper bound on created_at (<)

medium
enum<string>

Lead-source medium

Available options:
webhook,
email_alerts,
st_bookings_alerts,
st_native,
google_lsa,
yelp,
web_chat,
dropped_responder
source
string

Lead-source canonical name (exact match)

status
enum<string>

Lead processing status

Available options:
created,
queued,
processing,
completed,
failed,
skipped
include_raw
boolean
default:true

When false, omit the raw third-party payload field (default true)

include_ignored
boolean
default:false

When true, include suppressed leads (adds is_ignored / ignored_reason)

include_test_numbers
boolean
default:false

When true, include leads from the team's registered test phone numbers (default false)

cursor
string

Opaque pagination cursor from the previous response's pagination.cursor

limit
integer
default:50

Results per page (default 50, max 500)

Required range: x <= 500

Response

Paginated leads

data
object[]
pagination
object
meta
object